#!/bin/bash
#
# File to actually install the software
# copy main prog

# copy alsaconf first

sed 's$/lib/modules/$'$DESTDIR'/lib/modules/$g; s$/etc/alsa/modutils/0.9$/etc/modutils/alsa0.9$g' usr/sbin/alsaconf >$DESTDIR/bin/alsaconf
chmod 755 $DESTDIR/bin/alsaconf

cp -a usr/share/man/* $DESTDIR/man/

# ok, alsaconf is installed

# now copy config file to $HOME/.alsa-source.conf,
#   untgz source, make debian-package, cp to $DESTDIR/lib/modules/...

# TODO: Need some way to speak to the user!

cat <<EOF > $HOME/.alsa-source.conf
#  ALSA source config file used by Debian GNU/Linux

# Define as y if you want to build ALSA driver modules without ISA PnP.
ifndef ALSA_NOPNP
ALSA_NOPNP=""
endif

# Define as y if you want to build ALSA driver modules with debugging code.
ifndef ALSA_DEBUG
ALSA_DEBUG=""
endif

# Define cards to be built, separated by commas. For example, if you want to
# build Sound Blaster 16 and Yamaha YMF series drivers, then the setting
# would be:
#
#  ALSA_CARDS="sb16, ymfpci"
#
ifndef ALSA_CARDS
ALSA_CARDS=""
endif
EOF

cd usr/src
tar xjf alsa-driver.tar.bz2

cd modules/alsa-driver/
fakeroot debian/rules binary-modules

mkdir -p $DESTDIR/lib/modules/`uname -r`/alsa
sudo cp -a debian/alsa*/lib/modules/*/alsa/* $DESTDIR/lib/modules/`uname -r`/alsa

sudo chown -R root.root $DESTDIR/lib/modules/`uname -r`/*

cat << EOF > 1alsa
path[alsa]=$DESTDIR/lib/modules/`uname -r`
depfile=$DESTDIR/lib/modules/`uname -r`/modules.dep
generic_stringfile=$DESTDIR/lib/modules/`uname -r`/modules.generic_string
pcimapfile=$DESTDIR/lib/modules/`uname -r`/modules.pcimap
isapnpmapfile=$DESTDIR/lib/modules/`uname -r`/modules.isapnpmap
usbmapfile=$DESTDIR/lib/modules/`uname -r`/modules.usbmap
parportmapfile=$DESTDIR/lib/modules/`uname -r`/modules.parportmap
ieee1394mapfile=$DESTDIR/lib/modules/`uname -r`/modules.ieee1394map
pnpbiosmapfile=$DESTDIR/lib/modules/`uname -r`/modules.pnpbiosmap
EOF
sudo cp 1alsa /etc/modutils/1alsa

sudo rm /etc/modules.conf
sudo update-modules
sudo touch /etc/modutils/alsa0.9
sudo $DESTDIR/bin/alsaconf

# Finished!
